import { request } from '@umijs/max';

export async function deviceAmountPage(body) {
    return request('/api/device/amount/page', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}


export async function findList(body) {
    return request('/device/subsidy/config/findList', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}

export async function configUpdate(body) {
    return request('/device/subsidy/config/update', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}


export async function configDeleteBatchByIds(body) {
    return request('/device/subsidy/config/deleteBatchByIds', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}


export async function configAdd(body) {
    return request('/device/subsidy/config/add', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}
